#
# spec file for package nfs-client-provisioner
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           nfs-client-provisioner
Version:        2.3.0+git20200220.a14bfd72
Release:        bp155.2.11
Summary:        Automatic provisioner using an existing and already configured NFS server
License:        Apache-2.0
URL:            https://github.com/kubernetes-incubator/external-storage/tree/master/nfs-client
Source0:        nfs-client-provisioner-%{version}.tar.xz
Source1:        vendor.tar.xz
BuildRequires:  golang(API) = 1.13

%description
nfs-client is an automatic provisioner that uses an existing and already configured NFS server to support dynamic provisioning of Kubernetes Persistent Volumes via Persistent Volume Claims. Persistent volumes are provisioned as ${namespace}-${pvcName}-${pvName}.


%package k8s-yaml
Summary:        Yaml file to deploy nfs-client-provisioner

%description k8s-yaml
Yaml files to deploy the nfs-client-provisioner. nfs-client is an automatic provisioner that uses an existing and already configured NFS server to support dynamic provisioning of Kubernetes Persistent Volumes via Persistent Volume Claims. Persistent volumes are provisioned as ${namespace}-${pvcName}-${pvName}.

%prep
%setup -q -a1

%build
go build -mod vendor -buildmode=pie -o nfs-client-provisioner ./cmd/nfs-client-provisioner

%install
mkdir -p %{buildroot}%{_sbindir}
cp -av nfs-client-provisioner %{buildroot}%{_sbindir}/
mkdir -p %{buildroot}%{_datadir}/k8s-yaml/nfs-client-provisioner/test
cp -av deploy/*.yaml %{buildroot}%{_datadir}/k8s-yaml/nfs-client-provisioner
mv %{buildroot}%{_datadir}/k8s-yaml/nfs-client-provisioner/test-*.yaml %{buildroot}%{_datadir}/k8s-yaml/nfs-client-provisioner/test/
rm %{buildroot}%{_datadir}/k8s-yaml/nfs-client-provisioner/deployment-arm.yaml
sed -i -e 's|fuseim.pri/ifs|opensuse.org/nfs|g' %{buildroot}%{_datadir}/k8s-yaml/nfs-client-provisioner/*.yaml
sed -i -e 's|quay.io/external_storage/nfs-client-provisioner:latest|registry.opensuse.org/kubic/nfs-client-provisioner:latest|g' %{buildroot}%{_datadir}/k8s-yaml/nfs-client-provisioner/deployment.yaml
sed -i -e 's|gcr.io/google_containers/busybox:.*|registry.opensuse.org/opensuse/busybox:latest|g' %{buildroot}%{_datadir}/k8s-yaml/nfs-client-provisioner/test/test-pod.yaml
echo -e "resources:\n- class.yaml\n- deployment.yaml\n- rbac.yaml" > %{buildroot}%{_datadir}/k8s-yaml/nfs-client-provisioner/kustomization.yaml

%files
%{_sbindir}/nfs-client-provisioner

%files k8s-yaml
%dir %{_datadir}/k8s-yaml
%dir %{_datadir}/k8s-yaml/nfs-client-provisioner
%dir %{_datadir}/k8s-yaml/nfs-client-provisioner/test
%{_datadir}/k8s-yaml/nfs-client-provisioner/*.yaml
%{_datadir}/k8s-yaml/nfs-client-provisioner/test/*.yaml

%changelog
* Mon Mar  2 2020 Thorsten Kukuk <kukuk@suse.com>
- Adjust yaml files
  - use openSUSE container images
  - add kustomization.yaml file
* Fri Feb 21 2020 kukuk@suse.com
- Update to version 2.3.0+git20200220.a14bfd72:
  * Remove duplicate selector fields
  * add namespace for rolebinding
  * Update rbac.yaml
  * Remove ServiceAccount from deployment yaml files
  * Fix namespace and bump to Deployment apps/v1
* Fri Feb 21 2020 Thorsten Kukuk <kukuk@suse.com>
- Initial version
